#
#
MMC_DEV_FILE="/dev/mmcblk0"
MNT_POINT="/var/spool/storage/SD_DISK"
INSTALL_DIR=$MNT_POINT/exacq
PKGDIR=/usr/local/packages/ExacqVision
MMC_PARTITION=$MMC_DEV_FILE"p1"

if [ ! -e $MMC_DEV_FILE ]
then
  logger -- "No CF device"
  exit
fi

if [ ! -e $MNT_POINT ] 
then
  logger -- "CF device not mounted"
## TODO:  try to mkfs and mount
fi

# do this early in the process so we don't need to flush if we have to create the installation files
mount -o remount -o exec $MMC_PARTITION $MOUNT_PNT

if [ ! -e $INSTALL_DIR -o ! -e $PKGDIR/core ]
then
  logger -- "creating installation files"
  cd $PKGDIR
  mkdir -p $INSTALL_DIR
  mkdir -p $INSTALL_DIR/logs 
  mkdir -p $INSTALL_DIR/audit
  mkdir -p $INSTALL_DIR/blob
  mkdir -p $INSTALL_DIR/edvr
  mkdir -p $INSTALL_DIR/posdata
  rm -rf $INSTALL_DIR/plugins
  rm core
  rm $INSTALL_DIR/core
  cp -r install/edvrserver-axis-mipsel-install.tar.bz2 $INSTALL_DIR
  export LD_LIBRARY_PATH=`pwd`/install
  cd $INSTALL_DIR
  $PKGDIR/install/bunzip edvrserver-axis-mipsel-install.tar.bz2
  tar -xf edvrserver-axis-mipsel-install.tar
  logger -- "Done expanding tarred installation files"
  mv -f exacq/* .
  rm edvrserver-axis-mipsel-install.tar
  rm bzip2
  rm libbz2.so.1.0.6 
  cp core $PKGDIR
  cp sendEmail.pl $PKGDIR
#
#  Don't overwrite existing xml
#  Busybox shell cp command doesn't support -n so do it the hard way
  for fil in `ls *.xml`
  do 
    if [ ! -e $PKGDIR/$fil ]
    then
      cp $fil $PKGDIR
    fi
  done
  cd $PKGDIR
  mkdir -p edvr
  cd edvr
  ln -s $INSTALL_DIR/edvr 0
  cd ..
  mkdir -p lib
  cd lib
  rm *
  logger -- "creating library links"
  pwd | logger
  chmod +x ../install/create_links.sh
  source ../install/create_links.sh
  cd ..
  ln -s $INSTALL_DIR/plugins plugins
  ln -s $INSTALL_DIR/logs logs
  ln -s $INSTALL_DIR/audit audit
  ln -s $INSTALL_DIR/blob blob
  ln -s $INSTALL_DIR/perl perl
  ln -s $INSTALL_DIR/posdata/pospi.db pospi.db
  ln -s $INSTALL_DIR/posdata/pospi.db-shm pospi.db-shm
  ln -s $INSTALL_DIR/posdata/pospi.db-wal pospi.db-wal
  ln -s $INSTALL_DIR/eventpi.db eventpi.db
  logger -- "All runtime files created"
else
  cd $PKGDIR/edvr
  rm -f 1
  if [ -e /var/spool/storage/NetworkShare ]
  then
      ln -s /var/spool/storage/NetworkShare 1
  fi
  cd $PKGDIR
  logger -- "Runtime files are already installed"
fi

